﻿using System.Windows;
using System.Windows.Controls;

namespace WpfApp2
{
    public class TaskItemTemplateSelector : DataTemplateSelector
    {

        public TaskItemTemplateSelector()
        {

        }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var itemType = item.GetType();
            var frameworkElement = (FrameworkElement)container;

            if (itemType == typeof(Task))
            {
                var taskTemplate = (DataTemplate) frameworkElement.FindResource("TaskTemplate");
                return taskTemplate;
            }

            if (itemType == typeof(ExtendedTask))
            {
                var extendedTaskTemplate = (DataTemplate)frameworkElement.FindResource("ExtendedTaskTemplate");
                return extendedTaskTemplate;
            }

            return base.SelectTemplate(item, container);
        }
    }
}
